Debian Bug report logs - #650291
xterm -bg/-fg doesn't choose nearest colour the hardware supports

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Marc Lehmann <debian-reportbug@plan9.de>

Date: Mon, 28 Nov 2011 16:09:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version xterm/261-1

Fixed in version xterm/278-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#650291; Package xterm. (Mon, 28 Nov 2011 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 28 Nov 2011 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm -bg/-fg doesn't choose nearest colour the hardware supports
Date: Mon, 28 Nov 2011 17:07:58 +0100
Package: xterm
Version: 261-1
Severity: minor


When specifying colours not supported by the hardware, xterm does not
choose the nearest hardware colour.

For example:

   xterm -bg '#9c009c009c00'

On a standard 24 bit colour server, the nearest colour is #9b9b9b9b9b9b,
but xterm chooses #9c9c9c9c9c9c.

Likewise, for e.g. -bg '#ff00ff00ff00', xterm chooses #fffffffffff,
which is much farther then the nearest colour supported by the display
(#fefefefefefe) - xterm's chosen colour has a difference of 255 units per
component to the requested colour, while the nearest colour the display
supports only has a difference of only 2 units, which is a considerable
difference).

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
hi  libc6                     2.11.2-10      Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.6-2      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-5 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.3-4      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+4      X11 utilities
ii  xutils                        1:7.5+8    X Window System utility programs m

Versions of packages xterm suggests:
ii  xfonts-cyrillic               1:1.0.1    Cyrillic fonts for X

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#650291; Package xterm. (Sun, 08 Jan 2012 14:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 08 Jan 2012 14:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 650291@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 650291@bugs.debian.org
Cc: 650291-submitter@bugs.debian.org
Subject: re: #650291 xterm -bg/-fg doesn't choose nearest colour the hardware supports
Date: Sun, 08 Jan 2012 09:40:22 -0500
[Message part 1 (text/plain, inline)]
fixed in xterm #277

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Marc Lehmann <debian-reportbug@plan9.de>:
Bug#650291. (Sun, 08 Jan 2012 14:42:09 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sun, 08 Jan 2012 14:45:10 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 09 Apr 2012 21:03:12 GMT) Full text and rfc822 format available.

Notification sent to Marc Lehmann <debian-reportbug@plan9.de>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 21:03:12 GMT) Full text and rfc822 format available.

Message #20 received at 650291-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 650291-close@bugs.debian.org
Subject: Bug#650291: fixed in xterm 278-1
Date: Mon, 09 Apr 2012 20:59:16 +0000
Source: xterm
Source-Version: 278-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_278-1.diff.gz
  to main/x/xterm/xterm_278-1.diff.gz
xterm_278-1.dsc
  to main/x/xterm/xterm_278-1.dsc
xterm_278-1_amd64.deb
  to main/x/xterm/xterm_278-1_amd64.deb
xterm_278.orig.tar.gz
  to main/x/xterm/xterm_278.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650291@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 09 Apr 2012 21:45:01 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 278-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 637001 650291 652907
Changes: 
 xterm (278-1) unstable; urgency=low
 .
   * New upstream release
     - move call to grantpt before asking utempter to add a record, to work
       with kFreeBSD which does not update the terminal's ownership until this
       point (closes: #652907)
     - document limitation of XIM interface in manpage (see #230787)
     - add four new actions for making the selection or data directly copied
       from the screen: exec-formatted, exec-selectable, insert-formatted,
       insert-selectable (closes: #637001)
     - add eightBitMeta resource to control the features which modify or
       interpret the eighth bit of a key when the meta modifier key is pressed
       (prompted by #326200)
     - improve discussion of eightBitInput in the manpage (prompted by #326200)
     - add a workaround for XAllocColor(), which does not actually allocate "a
       read-only colormap entry corresponding to the closest RGB value
       supported by the hardware", but rather a rough approximation (closes:
       #650291)
   * Update copy of XTerm FAQ to revision 1.180 (dated 2012/02/06).
Checksums-Sha1: 
 b2dc544b8c3244e3b7fc6b14db027d63bd02ac59 2016 xterm_278-1.dsc
 753ad19e1a0979e875eb2dc2db60f1fb270486ee 996716 xterm_278.orig.tar.gz
 632e796eac208cf0fccd07b422da23d121f08e11 92766 xterm_278-1.diff.gz
 6f57681302794404c9c8560e6c2c7ddbbb62c456 599146 xterm_278-1_amd64.deb
Checksums-Sha256: 
 03e624b8e983db6ae9df8c22accd2021e4390c9bf323056955e86690a1e69b42 2016 xterm_278-1.dsc
 1372f9afe07bc35bfd47482db146c649223dadd0b472da31f8c337ab37f90585 996716 xterm_278.orig.tar.gz
 05ebeb2dfef593d87f63fd257936ee25a9aa692f00a87246d4aecf28c819b7fd 92766 xterm_278-1.diff.gz
 3cba17cfe99e860f2dd4e5bfc77173ec2cbd4c9e91f9faeb148ea687b0823754 599146 xterm_278-1_amd64.deb
Files: 
 413017d47d8391112fc8787aa74074c1 2016 x11 optional xterm_278-1.dsc
 3eeddfe35cb0a2db1924cfe0c20be443 996716 x11 optional xterm_278.orig.tar.gz
 cd7956a8fc5f61fdfb5cec006d75cac8 92766 x11 optional xterm_278-1.diff.gz
 d2c714d20cfb7dc856e4c58b303b7235 599146 x11 optional xterm_278-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPg0AqAAoJEDEBgAUJBeQM7XIP/01A5J0Kuw5qk6nOFSDdst2g
x/I7YcmIEYnRe8rnbcydqETS/Q3Df8VZvJ0WXW71V91GlZwekDZAAQQp4ImTYt/J
Mjak1+gQhJvmE/5Owpp2WJaQ/YQGR5IJmAqDI8143gnmqOsAHRFjY2JLb/I1twM9
ehZsmg6JrN6BPPl5qaMU6mlJhq1doa+3Q8nKf3E1MaqunMKCHD+fKwcUvVtGXujx
UDlap8cRyxRZjYA0D3kJxxSlJBXqjdOj/LR7GVEmM3Wlv1YfI3DHlaoguJqP/wgH
KlZpQCNRtTrGKPEOBtxPE56iAwVQW0G+D/ls/zVb2TFTHRdW+7Tiw4A0G3aanFJN
CA0CKe9ff9c1pmsGERXbXFLOdS0NwDWdHIyVSPTNtyd5F22UpsHUCVyeqguzZQgF
vyKGQdSBwFT9GPGyHaQWyHQz6+zWYVMJzAFZKo+yv/F5TLKZEbfFH+aun2BS0K3V
Al8xyNSs5FnftG299fekHnaPVo6vXrOlq0zXyrIkeRm1hfur0uPCjt0B+NAOcPb3
+IFvPNHJh3c/rm6IJaIsfT9/XyeXqCB0YO1SdZvqFVxUgSDnCIbdlOhG0gCsem+g
S8WNTmJG5YAFLlZWZ6mCZdY0yHUuMu5ACNod/7sGtsZRQqottfnFvVlP7qDiYWfM
4AzIKjkbN/NKGr5BcOAd
=Ki1a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 May 2012 07:39:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:49:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.